Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class ComboBoxColorEditor

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.ComboBoxColorEditor

All Implemented Interfaces:
  ComboBoxEditor

    public class ComboBoxColorEditor

extends Object
implements ComboBoxEditor

Constructor Summary
`ComboBoxColorEditor()`

Method Summary
`void` | `addActionListener(ActionListener l)`
`protected void` | `fireActionPerformed(ActionEvent e)`
`Component` | `getEditorComponent()`
`Object` | `getItem()`
`void` | `removeActionListener(ActionListener l)`
`void` | `selectAll()`
`void` | `setItem(Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxColorEditor

    public ComboBoxColorEditor()

Method Detail

### getEditorComponent

    public Component getEditorComponent()

  Specified by:
    `getEditorComponent` in interface `ComboBoxEditor`

### setItem

    public void setItem(Object newValue)

  Specified by:
    `setItem` in interface `ComboBoxEditor`

### getItem

    public Object getItem()

  Specified by:
    `getItem` in interface `ComboBoxEditor`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `ComboBoxEditor`

### addActionListener

    public void addActionListener(ActionListener l)

  Specified by:
    `addActionListener` in interface `ComboBoxEditor`

### removeActionListener

    public void removeActionListener(ActionListener l)

  Specified by:
    `removeActionListener` in interface `ComboBoxEditor`

### fireActionPerformed

    protected void fireActionPerformed(ActionEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request